package com.ssj.bean.weixin.order.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 
 * 类名称：Orders<br>
 * 类描述：用户订单实体<br>
 *
 */
@Entity
@Table(name = "tb_orders")
public class Order  extends BaseEntity{
	
	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String userId;//用户id
	 
	 private String orderNo;//订单编号
	 /*
	  *  4 私塾家-会员卡支付酬金
	  *  7 私塾家-图书馆借书首次酬金
	  *  8 私塾家-图书馆借书普通酬金"
	  *  9私塾家-一对一支付酬金
	  *  11私塾家-作业吧支付酬金
	  *  13私塾家-找好课支付酬金
	  */
	 private Integer orderType;//订单类型 
	 
	 private BigDecimal orderMoney;//订单金额
	 
	 // 订单状态 0-未支付, 1-已支付, 2-已取消 ,3-已完成,4-退款  
	 private Integer orderStatus;
	 
	 private Integer payBy;//支付方式   1 H5 ，2小程序，3app
	 
	 private Date payTime;//支付成功时间
	 
	 private Date createTime;//创建时间
	 
	 private Date updateTime;//更新时间
	 
	 
	 private String prepayId;//微信统一下单接口返回的prepay_id
	 
	 private Integer isClosed;//是否结算（结算后分别给答题人和提问人付款）：1-是，0-否
	 
	 private Date closeTime;//结算时间
	 
	 private String transactionId;//微信平台的订单号
	 
	 
	 
	@Column(name = "user_id") 
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	@Column(name = "order_no") 
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	
	@Column(name = "order_type") 
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	
	@Column(name = "order_money") 
	public BigDecimal getOrderMoney() {
		return orderMoney;
	}
	public void setOrderMoney(BigDecimal orderMoney) {
		this.orderMoney = orderMoney;
	}
	
	@Column(name = "order_status") 
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	
	@Column(name = "pay_by") 
	public Integer getPayBy() {
		return payBy;
	}
	public void setPayBy(Integer payBy) {
		this.payBy = payBy;
	}
	
	@Column(name = "pay_time", updatable = false) 
	public Date getPayTime() {
		return payTime;
	}
	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}
	
	@Column(name = "create_time", updatable = false) 
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	@Column(name = "update_time", updatable = false) 
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	@Column(name = "prepay_id" , updatable = false) 
	public String getPrepayId() {
		return prepayId;
	}
	public void setPrepayId(String prepayId) {
		this.prepayId = prepayId;
	}
	
	@Column(name = "is_closed") 
	public Integer getIsClosed() {
		return isClosed;
	}
	public void setIsClosed(Integer isClosed) {
		this.isClosed = isClosed;
	}
	
	@Column(name = "close_time", updatable = false) 
	public Date getCloseTime() {
		return closeTime;
	}
	public void setCloseTime(Date closeTime) {
		this.closeTime = closeTime;
	}
	
	@Column(name = "transaction_id") 
	public String getTransactionId() {
		return transactionId;
	}
	public void setTransactionId(String transactionId) {
		this.transactionId = transactionId;
	}

	
	 

	
    




}
